Loading...
Searching...
No Matches
Magick::DrawableBezier Class Reference
Inheritance diagram for Magick::DrawableBezier:

## Public Member Functions

| DrawableBezier (const CoordinateList &coordinates_)
| DrawableBezier (const DrawableBezier &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

CoordinateList | _coordinates

## Detailed Description

Definition at line 446 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableBezier() [1/2]

Magick::DrawableBezier::DrawableBezier | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 238 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## DrawableBezier() [2/2]

Magick::DrawableBezier::DrawableBezier | ( | const DrawableBezier & | original_ | ) |

Definition at line 243 of file Drawable.cpp.

: DrawableBase (original_),
_coordinates(original_._coordinates)
{
}

## ~DrawableBezier()

Magick::DrawableBezier::~DrawableBezier | ( | void |  | ) |

Definition at line 249 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableBezier::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 271 of file Drawable.cpp.

{
return new DrawableBezier(*this);
}

## operator()()

void Magick::DrawableBezier::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 252 of file Drawable.cpp.

{
size_t num_coords = (size_t) _coordinates.size();
PointInfo *coordinates = new PointInfo[num_coords];
PointInfo *q = coordinates;
CoordinateList::const_iterator p = _coordinates.begin();
while( p != _coordinates.end() )
{
q->x = p->x();
q->y = p->y();
q++;
p++;
}
DrawBezier( context_, num_coords, coordinates );
delete [] coordinates;
}

## Field Documentation

## _coordinates

CoordinateList Magick::DrawableBezier::_coordinates

private

Definition at line 465 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp